%define debug_package %{nil}
%define index         6

Summary: The omake build system.
Name: omake
Version: 0.9.3
Release: %{index}%{?distro_release:.%{distro_release}}
URL: http://omake.metaprl.org/
Source0: %{name}-%{version}-%{index}.tar.gz
License: GPL
Group: Development/Tools
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: autoconf, ocaml, make, fam-devel

%description

OMake is a build system, similar to GNU make, but with many additional
features, including:
- Support for large projects spanning multiple directories;
- Support for commands that produce several targets at once;
- Fast, accurate, automated dependency analysis using MD5 digests;
- Portability: omake provides a consistent interface on Win32
  and on Unix systems including Linux, OSX, and Cygwin;
- Builtin functions that provide the most common features of
  programs like grep, sed, and awk;
- Active filesystem monitoring, where the build automatically
  restarts whenever you modify a source file.

%prep
%setup -q

%build
autoconf
%configure
make all

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/lib/omake

%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc LICENSE omake.txt html/omake.html

%{_bindir}/*
%{_libdir}/omake
%{_mandir}/man1/*

%changelog
* Mon Sep  9 2004 Aleksey Nogin <rpm@nogin.org>
- Added doc files.

* Thu May  8 2003 Jason Hickey <jyh_@cs.caltech.edu>
- Added cvs_realclean

* Tue Apr 22 2003 Aleksey Nogin <rpm@nogin.org>
- Path updates

* Tue Apr 22 2003 Jason Hickey <jyh_@cs.caltech.edu>
- Initial build.
